CLANG-OFFLOAD-BUNDLER(1)

NAME
clang-offload-bundler - manual page for clang-offload-bundler 8

DESCRIPTION
OVERVIEW: A tool to bundle several input files of the specified type <type> referring to the same source file but different targets into a single one. The resulting file can also be unbundled into different files by this tool if -unbundle is provided.

USAGE: clang-offload-bundler [options]

OPTIONS:

Generic Options:

-help - Display available options (-help-hidden for more)

-help-list - Display list of available options (-help-list-hidden for more)

-version - Display the version of this program

clang-offload-bundler options:

-### - Print any external commands that are to be executed instead of actually executing them - for testing purposes.

-dump-temporary-files - Dumps any temporary files created - for testing purposes.

-inputs=<string> - [<input file>,...]

-outputs=<string> - [<output file>,...]

-targets=<string> - [<offload kind>-<target triple>,...]

-type=<string>        - Type of the files to be bundled/unbundled.
    Current supported types are:

i   - cpp-output

ii  - c++-cpp-output

ll  - llvm

bc  - llvm-bc

s   - assembler

o   - object

gch - precompiled-header
    ast - clang AST file

-unbundle - Unbundle bundled file into several output files.